Bug 1218990 - failing installation of glusterfs-server-3.7.0beta1-0.14.git09bbd5c.el7.centos.x86_64
Summary: failing installation of glusterfs-server-3.7.0beta1-0.14.git09bbd5c.el7.cento...
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: packaging
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
: 1208123 (view as bug list)
Depends On: 1195947
Blocks: glusterfs-3.7.7
TreeView+ depends on / blocked
 
Reported: 2015-05-06 11:16 UTC by Sandro Bonazzola
Modified: 2017-03-08 11:00 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-08 11:00:33 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Sandro Bonazzola 2015-05-06 11:16:55 UTC
Installing     : glusterfs-server-3.7.0beta1-0.14.git09bbd5c.el7.centos.x86_64                                                                                         257/381 
ln -s '/usr/lib/systemd/system/glusterd.service' '/etc/systemd/system/multi-user.target.wants/glusterd.service'
Failed to issue method call: No such file or directory
/var/tmp/rpm-tmp.1ydyG2: line 49: glusterd: command not found
warning: %post(glusterfs-server-3.7.0beta1-0.14.git09bbd5c.el7.centos.x86_64) scriptlet failed, exit status 127
Non-fatal POSTIN scriptlet failure in rpm package glusterfs-server-3.7.0beta1-0.14.git09bbd5c.el7.centos.x86_64

Comment 1 Niels de Vos 2015-05-07 13:08:46 UTC
Hmm, the glusterd binary is included in the package:

$ rpm -qlp glusterfs-server-3.7.0beta1-0.14.git09bbd5c.el7.centos.x86_64.rpm \
  | grep 'sbin/glusterd'
/usr/sbin/glusterd

The %post script executes "glusterd ...." but does not use the full path to the executable. All other executables do contain the full path, including /usr/sbin/.

I have no heard or seen this issue before, could you explain how you are installing the package? Could it be that /usr/sbin is not in the PATH?

It probably makes sense to use the full path to the executable anyway, but I would like to understand how this problem occurs so that we can verify the fix.

Comment 2 Sandro Bonazzola 2015-05-07 13:13:35 UTC
I'm installing vdsm from oVirt project, glusterfs-server is a required dependency of glusterfs (see bug #1219089) which is a required dependency of vdsm.
I'm installing it on a clean CentOS 7.1 system with oVirt repository enabled (http://resources.ovirt.org/pub/yum-repo/ovirt-release-master.rpm)

Comment 3 Niels de Vos 2015-05-07 15:49:42 UTC
(In reply to Sandro Bonazzola from comment #2)
> I'm installing vdsm from oVirt project, glusterfs-server is a required
> dependency of glusterfs (see bug #1219089) which is a required dependency of
> vdsm.
> I'm installing it on a clean CentOS 7.1 system with oVirt repository enabled
> (http://resources.ovirt.org/pub/yum-repo/ovirt-release-master.rpm)

I just installed a CentOS-7.1, added the ovirt-release-master.rpm and did a "yum install vdsm". Surprisingly this worked for me, there was a warning, but not the failure:

  Installing : glusterfs-server-3.7.0beta1-0.69.git1a32479.el7.centos    28/254 
ln -s '/usr/lib/systemd/system/glusterd.service' '/etc/systemd/system/multi-user.target.wants/glusterd.service'
Failed to issue method call: No such file or directory

Installation continued and did not error out. I guess that there is some other difference... Any ideas?

Comment 4 Sandro Bonazzola 2015-05-08 07:38:33 UTC
I'm using minimal install and I run "yum distro-sync" before installing vdsm.

Comment 5 Niels de Vos 2015-05-08 21:26:54 UTC
I am not able to reproduce the problem (yet?).

Bug 1219089 will be used to remove the dependency on glusterfs-server. This bug will therefore not happen any more (because the -server package does not get installed any longer).

I'll reduce the priority, we should still keep trying to identify the cause and see if using the full path for executing glusterd in the %post script(s) is a solution.

Comment 6 Niels de Vos 2015-05-09 09:47:58 UTC
(In reply to Sandro Bonazzola from comment #2)
> I'm installing vdsm from oVirt project, glusterfs-server is a required
> dependency of glusterfs (see bug #1219089) which is a required dependency of
> vdsm.

Tested with the latest glusterfs builds that address bug 1219089:

[root@vm019 ~]# yum remove glusterfs-server <<< no
...
Dependencies Resolved

================================================================================
 Package
      Arch   Version                            Repository                 Size
================================================================================
Removing:
 glusterfs-server
      x86_64 3.8dev-0.211.git1162bb3.el7.centos @glusterfs-master-nightly 3.9 M
Removing for dependencies:
 glusterfs-geo-replication
      x86_64 3.8dev-0.211.git1162bb3.el7.centos @glusterfs-master-nightly 721 k
 vdsm x86_64 4.17.0-775.git359affb.el7          @ovirt-master-snapshot    3.4 M

Transaction Summary
================================================================================
Remove  1 Package (+2 Dependent packages)

Installed size: 8.0 M
Is this ok [y/N]: Exiting on user command


It seems that vdsm has a dependency on glusterfs-geo-replication:

[root@vm019 ~]# rpm -q --requires vdsm | grep glusterfs
glusterfs >= 3.6.999
glusterfs-api
glusterfs-cli
glusterfs-fuse
glusterfs-geo-replication
glusterfs-rdma


glusterfs-geo-replication does indeed need to depend on glusterfs-server, without the -server bits, geo-replication will not be able to function.

I suggest you open a bug against vdsm and verify if this dependency really is needed, or can be made optional.

(still unable to make "yum install vdsm" fail like comment #0)

Comment 7 Sandro Bonazzola 2015-05-12 15:37:07 UTC
I'll try to reproduce with latest builds as soon as I can and if it doesn't reproduce I'll close.

Comment 8 Sandro Bonazzola 2015-05-13 13:32:23 UTC
  Installing     : glusterfs-server-3.7.0beta2-0.2.gitc1cd4fa.el7.centos.x86_64

ln -s '/usr/lib/systemd/system/glusterd.service' '/etc/systemd/system/multi-user.target.wants/glusterd.service'
Failed to issue method call: No such file or directory
librdmacm: Warning: couldn't read ABI version.
librdmacm: Warning: assuming: 4
librdmacm: Fatal: unable to get RDMA device list
  Installing     : glusterfs-geo-replication-3.7.0beta2-0.2.gitc1cd4fa.el7.centos.x86_64

So this still has issues but the "/var/tmp/rpm-tmp.1ydyG2: line 49: glusterd: command not found" has been resolved.
Is above output considered not a bug?

Comment 9 Niels de Vos 2015-05-16 17:30:48 UTC
(In reply to Sandro Bonazzola from comment #8)
...
> Failed to issue method call: No such file or directory
> librdmacm: Warning: couldn't read ABI version.
> librdmacm: Warning: assuming: 4
> librdmacm: Fatal: unable to get RDMA device list
...
> Is above output considered not a bug?

Yes, this seems to be a bug in librdmacm:

- http://bugs.openfabrics.org/bugzilla/show_bug.cgi?id=2538
- http://git.openfabrics.org/?p=~shefty/librdmacm.git;a=commitdiff;h=2b2aad809afc56fa3157f5cf99036f92b9c90f16

I do not know if this already has been reported against the (RHEL) package that provides the library. Kaleb might have more details?

Comment 10 Niels de Vos 2015-05-17 15:02:28 UTC
*** Bug 1208123 has been marked as a duplicate of this bug. ***

Comment 11 Niels de Vos 2015-06-02 08:20:16 UTC
The required changes to fix this bug have not made it into glusterfs-3.7.1. This bug is now getting tracked for glusterfs-3.7.2.

Comment 12 Niels de Vos 2015-06-20 10:08:07 UTC
Unfortunately glusterfs-3.7.2 did not contain a code change that was associated with this bug report. This bug is now proposed to be a blocker for glusterfs-3.7.3.

Comment 13 Kaushal 2015-07-30 13:17:52 UTC
This bug could not be fixed in time for glusterfs-3.7.3. This is now being tracked for being fixed in glusterfs-3.7.4.

Comment 14 Kaushal 2015-10-28 12:28:40 UTC
This bug could not be fixed in time for glusterfs-3.7.4 or glusterfs-3.7.5. This is now being tracked for being fixed in glusterfs-3.7.6.

Comment 15 Raghavendra Talur 2015-11-08 20:25:13 UTC
This bug could not be fixed in time for glusterfs-3.7.6.
This is now being tracked for being fixed in glusterfs-3.7.7.

Comment 16 Kaleb KEITHLEY 2016-04-25 12:22:56 UTC
(I don't see how a run-time warning message could be a packaging bug.)

Whose IB/rdma packages/drivers are being used? Mellanox's or the RHEL/CentOS?

Comment 17 Kaushal 2017-03-08 11:00:33 UTC
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.


Note You need to log in before you can comment on or make changes to this bug.